SReview::Schedule::Base::Track(3pm)

NAME
SReview::Schedule::Base::Track

DESCRIPTION
A class to hold a track.

ATTRIBUTES

talk_object
    The talk object associated with this track. This is a weak reference to a "SReview::Schedule::Base::Talk" object (or subclass). Must be specified at construction time.

name
    The name of the track.

email
    An email address associated with the track. If set, then "sreview-notify" will Cc this email address when sending out emails.

upstreamid
    A unique, unchanging ID used by the schedule. If not set, it uses a slug version of the "name" attribute, which is not unchanging and therefore not idempotent. If set, sreview-import will use this to recognize existing tracks and update them rather than creating new ones.